// ---------------------------------------------------------------------
// JavaORB 2.0
//
//                        Object by value Tutorial
//
// Step 1 / Using value box
// ---------------------------------------------------------------------

/**
 * This class is the implementation of ValueExchange interface. It 
 * provides each operation that illustrates how to manage value box type.
 * 
 * @author	Jerome DANIEL
 * @version	1.0
 */
public class ValueExchangeImpl extends _ValueExchangeImplBase
{
	/**
	 * Operation sendLongBox
	 */
	public void sendLongBox(longBox box)
	{		
		if ( box == null )
		{
			System.out.println(". ");
			System.out.println(". I received a NULL value box : longBox");
			System.out.println(". ");
		}
		else
		{
			System.out.println(". ");
			System.out.println(". I received a simple value box : longBox");
			System.out.println(". Its value is : " + box.value );
			System.out.println(". ");
		}
	}

	/**
	 * Operation sendLongSeqBox
	 */
	public void sendLongSeqBox(int [] box)
	{
		if ( box == null )
		{
			System.out.println(". ");
			System.out.println(". I received a NULL value box : longSeqBox");
			System.out.println(". ");
		}
		else
		{
			System.out.println(". ");
			System.out.println(". I received a complex value box : longSeqBox");
			System.out.println(". Its value is : ");
			
			for ( int i=0; i<box.length; i++ )
				System.out.println(".	box[" + i + "] = " + box[i]);
			
			System.out.println(". ");
		}
	}

}