//
// Holder class for : Calculator
//
// @author JavaORB Compiler
//
public class CalculatorHolder implements org.omg.CORBA.portable.Streamable
{
	//
	// Internal Calculator value
	//
	public Calculator value;

	//
	// Default constructor
	//
	public CalculatorHolder()
	{ }

	//
	// Constructor with value initialisation
	// @param	initial	the initial value
	//
	public CalculatorHolder( Calculator initial )
	{
		value = initial;
	}

	//
	// Read Calculator from a marshalled stream
	// @param	istream the input stream
	//
	public void _read( org.omg.CORBA.portable.InputStream istream )
	{
		value = CalculatorHelper.read(istream);
	}

	//
	// Write Calculator into a marshalled stream
	// @param	ostream the output stream
	//
	public void _write( org.omg.CORBA.portable.OutputStream ostream )
	{
		CalculatorHelper.write(ostream,value);
	}

	//
	// Return the Calculator TypeCode
	// @return a TypeCode
	//
	public org.omg.CORBA.TypeCode _type()
	{
		return CalculatorHelper.type();
	}

}
