//
// Interface definition : Calculator
//
// @author JavaORB Compiler
//
public class _CalculatorStub extends org.omg.CORBA.portable.ObjectImpl
		implements Calculator
{
	static final String[] _ids_list =
	{
		"IDL:Calculator:1.0"
	};

	public String[] _ids()
	{
		return _ids_list;
	}

	final public static java.lang.Class _opsClass = CalculatorOperations.class;

	//
	// Operation add
	//
	public float add(float nb1, float nb2)
	{
		while( true )
		{
			if (!this._is_local() )
			{
				org.omg.CORBA.portable.InputStream _input = null;
				try
				{
					org.omg.CORBA.portable.OutputStream _output = this._request("add",true);
					_output.write_float(nb1);
					_output.write_float(nb2);
					_input = this._invoke(_output);
					float _arg_ret = _input.read_float();
					return _arg_ret;
				}
				catch( org.omg.CORBA.portable.RemarshalException _exception )
				{
					continue;
				}
				catch( org.omg.CORBA.portable.ApplicationException _exception )
				{
					java.lang.String _exception_id = _exception.getId();
					throw new org.omg.CORBA.UNKNOWN("Unexcepected User Exception: "+ _exception_id);
				}
				finally
				{
					this._releaseReply(_input);
				}
			}
			else
			{
				org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("add",_opsClass);
				if ( _so == null )
				   continue;
				CalculatorOperations _self = ( CalculatorOperations ) _so.servant;
				try
				{
					return _self.add( nb1,  nb2);
				}
				finally
				{
					_servant_postinvoke(_so);
				}
			}
		}
	}

	//
	// Operation div
	//
	public float div(float nb1, float nb2)
		throws DivisionByZero
	{
		while( true )
		{
			if (!this._is_local() )
			{
				org.omg.CORBA.portable.InputStream _input = null;
				try
				{
					org.omg.CORBA.portable.OutputStream _output = this._request("div",true);
					_output.write_float(nb1);
					_output.write_float(nb2);
					_input = this._invoke(_output);
					float _arg_ret = _input.read_float();
					return _arg_ret;
				}
				catch( org.omg.CORBA.portable.RemarshalException _exception )
				{
					continue;
				}
				catch( org.omg.CORBA.portable.ApplicationException _exception )
				{
					java.lang.String _exception_id = _exception.getId();
					if ( _exception_id.equals(DivisionByZeroHelper.id()) )
					{
						throw DivisionByZeroHelper.read(_exception.getInputStream());
					}

					throw new org.omg.CORBA.UNKNOWN("Unexcepected User Exception: "+ _exception_id);
				}
				finally
				{
					this._releaseReply(_input);
				}
			}
			else
			{
				org.omg.CORBA.portable.ServantObject _so = _servant_preinvoke("div",_opsClass);
				if ( _so == null )
				   continue;
				CalculatorOperations _self = ( CalculatorOperations ) _so.servant;
				try
				{
					return _self.div( nb1,  nb2);
				}
				finally
				{
					_servant_postinvoke(_so);
				}
			}
		}
	}

}
