/**
 * This class is an example for JavaORB Thread policies.
 * 
 * @author	Jerome DANIEL
 * @version	1.0
 */
public class counterImpl extends _counterImplBase
{
	
	/**
	 * Wait time
	 */
	private long _wait;
	
	/**
	 * Counter value 
	 */
	private int _count;
	
	/**
	 * Constructor
	 */
	public counterImpl( int wait_time )
	{
		_wait = wait_time;
		_count = 0;
	}
	
	/**
	 * Return the count
	 */
	public int count()
	{	
		_count++;
		
		System.out.println("Begin --> " + _count );
		
		try
		{
			java.lang.Thread.sleep( _wait );
		}
		catch( InterruptedException e )
		{ }
		
		System.out.println("End --> " + _count);
		
		return _count;
	}
	
	/**
	 * Increment the counter
	 */
	public void inc()
	{
		_count++;
		
		System.out.println("Begin --> " + _count );
		
		try
		{
			java.lang.Thread.sleep( _wait );
		}
		catch( InterruptedException e )
		{ }
		
		System.out.println("End --> " + _count);				
	}
} 