// ============================================================
// = CORBA Sample				                              =
// ============================================================

// Server with BOA

public class Server
{
	public static void main( String args[] )
	{
		// .1
		// Initialize the ORB
		org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init(args,null);		

		// 2.
		// Initialize the BOA
		org.omg.CORBA.BOA boa = org.omg.CORBA.BOA.init(orb,args);

		// 3.
		// Instanciate Calculator object
		CalculatorImpl calc = new CalculatorImpl();
		
		// 4.
		// Connect the Calculator instance with ID "Calculator"
		boa.connect(calc,"Calculator");

		// 5.
		// Activate the instance
		boa.obj_is_ready(calc);		

		// 6.
		// Wait for invocations
		try
		{
			boa.impl_is_ready();
		}
		catch ( java.lang.Exception ex )
		{
			System.out.println("An exception has been intercepted.");
		}

	}
}